Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 06-14-03, 02:21 PM   #1
Dreoth
Registered User
 
Join Date: Apr 2003
Location: Houston Area, Texas
Posts: 21
Send a message via AIM to Dreoth Send a message via Yahoo to Dreoth
Default GCC 3.3 Warning (Debian Sid?)

Debian Sid has gcc/g++ 3.3 as default, updated two boxes on my network and absolutely NONE of the nvidia drivers will work when compiled with gcc/g++ 3.3.

As other distros (Gentoo soon) begin to use gcc 3.3 I believe this will cause issues.

The first box only has a TNT2, but since that one doesn't play games I set it to use the X nv driver.

The other I relinked gcc/g++ to the 3.2 version and recompiled 2.4.21 and the nvidia drivers. Made it function again.

Last edited by Dreoth; 06-14-03 at 05:17 PM.
Dreoth is offline   Reply With Quote
Old 06-14-03, 04:37 PM   #2
shassard
Asus Geforce FX 5600
 
Join Date: May 2003
Location: Vancouver, Canada
Posts: 36
Default

I'm using Sid and don't have any problem compiling the nvidia driver using gcc-3.3.

What errors are you getting?

What kernel are you running?
shassard is offline   Reply With Quote
Old 06-14-03, 05:16 PM   #3
Dreoth
Registered User
 
Join Date: Apr 2003
Location: Houston Area, Texas
Posts: 21
Send a message via AIM to Dreoth Send a message via Yahoo to Dreoth
Default

2.4.21, not debian package. It just fails to connect with NVdriver when starting X. It's strange but 3.2 works just fine. Might be a buggy deb for all I know, but I upgraded my packages before the kernel upgrade. I've got things running fine on my debian boxes now though. (I think Debian put in gcc3.3 a tad bit early anyways)
Dreoth is offline   Reply With Quote
Old 06-14-03, 06:45 PM   #4
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default

Fails to connect with NVdriver? NVdriver doesn't even exist anymore... Unless, wait, you're still running 3123? Then it wouldn't surprise me if they didn't compile -- 3123 is ancient.

The drivers (4363) compile just fine for me with gcc 3.3 (CVS Linux From Scratch, pulled on May 15), too. I haven't rebooted to try to run them yet, but seeing as they compiled, I don't see much of a problem. Though I'll post back if there is one.

You did recompile your kernel with gcc 3.3 also, right? You need to, otherwise no, it definitely won't work...
__________________
Registered Linux User #219692

Last edited by bwkaz; 06-14-03 at 06:51 PM.
bwkaz is offline   Reply With Quote
Old 06-15-03, 12:58 PM   #5
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default

As an update, I (finally) did get the drivers working after compiling with gcc 3.3.

I had unrelated issues with either the new 2.4.21 kernel, the new 2.4.25 modutils, or the new 1.3.25 devfsd. Apparently, it is now the behavior of the "hid" module to automatically run "modprobe keybdev mousedev" after loading itself. This is probably the correct behavior (hid doesn't, in itself, expose any usable device nodes; it depends on keybdev or mousedev to do that), however it's different from what old kernel / modutils / devfsd versions did. Used to be that you needed to modprobe hid manually before loading mousedev (and I had my modules.conf set up to do that).

The problem was, I started X, it probed /dev/mouse, which loaded mousedev, which loaded hid, which tried to load mousedev, which loaded hid, which tried to load mousedev, etc., etc., and I had (basically) a modprobe forkbomb on my hands. And of course, X failed to start, because it never returned from opening /dev/mouse.

Anyway, after figuring that out, the driver worked fine.
__________________
Registered Linux User #219692
bwkaz is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
295.40 295 cannot be compiled on 3.2 kernel delta32 NVIDIA Linux 4 05-27-12 10:47 PM
gcc version3 kenrel module problems valserWater NVIDIA Linux 11 09-07-02 10:40 AM
Kernel drivers and GCC 3.2 Alan666 NVIDIA Linux 2 08-24-02 11:21 PM
NVIDIA_kernel with gcc 3.2 based linux kernel akay NVIDIA Linux 18 08-24-02 10:23 AM
Question about GCC version shosking NVIDIA Linux 5 07-29-02 12:10 PM

All times are GMT -5. The time now is 02:02 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.